Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport
Class EPPConFactorySingle

    java.lang.Object
      com.verisign.epp.transport.EPPConFactory
          com.verisign.epp.transport.EPPConFactorySingle

    public class EPPConFactorySingle

extends EPPConFactory

This is a Singleton Class Please See Singleton Design Pattern $Id: EPPConFactorySingle.java,v 1.2 2004/01/07 04:17:56 jim Exp $

Since:
  JDK1.0
Version:
  1.0, 03/10/01
Author:
  P. Amiri

Method Summary
`static EPPConFactorySingle` | `getInstance()` This is lazy singleton, after the first call is instantiated and it will remain in memory.

Methods inherited from class com.verisign.epp.transport.EPPConFactory
`getEPPConnection, getEPPConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EPPConFactorySingle getInstance()

  This is lazy singleton, after the first call is instantiated and it will remain in memory.

  Returns:
    an instance of EPPConFactorySingle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.